# Interface BimIfcIndex

interface BimIfcIndex {
classes: string[];
discipline: Discipline;
meshDescriptors: (undefined | BimProductMeshDescriptor)[];
modelFactors: {
oneFoot: number;
oneInch: number;
oneKilometer: number;
oneMeter: number;
oneMetre: number;
oneMile: number;
oneMilliMeter: number;
oneMilliMetre: number;
};
objectAttributes: BimObjectAttributeDTO[];
project: BimProduct;
regions: BimRegion[];
styles: BimIfcStyleDTO[];
texts: string[];
transforms: (undefined | BimTransform)[];
typeClasses: string[];
types: BimTypeObjectDTO[];
}

##### Index

### Properties

classes
discipline
meshDescriptors
modelFactors
objectAttributes
project
regions
styles
texts
transforms
typeClasses
types

## Properties

### `Readonly` classes

classes: string[]

### `Readonly` discipline

discipline: Discipline

### `Readonly` meshDescriptors

meshDescriptors: (undefined | BimProductMeshDescriptor)[]

### `Readonly` modelFactors

modelFactors: {
oneFoot: number;
oneInch: number;
oneKilometer: number;
oneMeter: number;
oneMetre: number;
oneMile: number;
oneMilliMeter: number;
oneMilliMetre: number;
}

### `Readonly` objectAttributes

objectAttributes: BimObjectAttributeDTO[]

### `Readonly` project

project: BimProduct

### `Readonly` regions

regions: BimRegion[]

### `Readonly` styles

styles: BimIfcStyleDTO[]

### `Readonly` texts

texts: string[]

### `Readonly` transforms

transforms: (undefined | BimTransform)[]

### `Readonly` typeClasses

typeClasses: string[]

### `Readonly` types

types: BimTypeObjectDTO[]